/*
 * $Id: sigflags.h,v 1.4 2002/11/02 10:55:22 ceder Exp $
 * Copyright (C) 1991, 1999, 2002  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */


/* Set up signal handlers without SA_RESTART, so that syscalls can
   return with EINTR.  This is done before calls to select() with a
   long timeout; make sure to restore the SA_RESTART with
   restart_syscalls_on_intr() as soon as possible, since most of the
   server isn't prepared to handle the EINTR error. */

void intr_syscalls_on_intr(void);

/* Set up signal handlers with SA_RESTART.  This is the normal mode of
   operation for lyskomd. */

void restart_syscalls_on_intr(void);


/* The go_and_die flag is set by SIGHUP and shutdown_kom.  It causes
   lyskomd to be shut down in an orderly fashion. */

extern volatile sig_atomic_t go_and_die;


/* The do_statistics flag is set by SIGUSR1.  It causes lyskomd to
   write some statistics, typically to /usr/lyskom/etc/lyskomd-log. */

extern volatile sig_atomic_t do_statistics;
